Name:    	libatomic_ops
Version: 	7.8.2
Release: 	3
Summary: 	Atomic memory update operations
License: 	GPLv2
URL:     	https://github.com/ivmai/libatomic_ops/
Source0: 	http://github.com/ivmai/libatomic_ops/releases/download/v%{version}/libatomic_ops-%{version}.tar.gz
Patch1:         0001-add-sw_64-support.patch

BuildRequires: 	gcc

%description
This package provides semi-portable access to hardware-provided
atomic memory update operations on a number of architectures.

%package 	devel
Summary: 	Development Package
Requires: 	%{name} = %{version}-%{release}
Provides:   %{name}-static = %{version}-%{release}

%description devel
The devel for %{name}

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --enable-shared --disable-silent-rules
%{?disable_rpath}
%make_build

%install
%make_install

%check
export LD_LIBRARY_PATH=%{_builddir}/%{name}-%{version}/src/.libs/
%make_build check


%files
%license COPYING
%license LICENSE
%{_libdir}/libatomic_ops.so.1*
%{_libdir}/libatomic_ops_gpl.so.1*
%exclude %{_libdir}/*.la
%exclude %{_docdir}/libatomic_ops/{COPYING,README*,*.txt}
%exclude %{_docdir}/libatomic_ops/{AUTHORS,ChangeLog,LICENSE}

%files devel
%doc README*
%{_includedir}/atomic_ops.h
%{_includedir}/atomic_ops_malloc.h
%{_includedir}/atomic_ops_stack.h
%{_includedir}/atomic_ops/
%{_libdir}/libatomic_ops.so
%{_libdir}/libatomic_ops_gpl.so
%{_libdir}/pkgconfig/atomic_ops.pc
%{_libdir}/libatomic_ops.a
%{_libdir}/libatomic_ops_gpl.a

%files help
%doc AUTHORS ChangeLog README.md

%changelog
* Tue Jul 09 2024 wangxiao <wangxiao184@h-partners.com> - 7.8.2-3
- enable make check

* Mon Feb 26 2024 laokz <zhangkai@iscas.ac.cn> - 7.8.2-2
- fix patch error

* Thu Feb 08 2024 Weifeng Su <suweifeng1@huawei.com> - 7.8.2-1
- upgrade to version 7.8.2:
  -Resolve warning in GCC11
  -Fix comparison warning in add_chunk_as
  -Address Clang 16 AO_pt_lock issue
  -Handle Mingw64-GCC _atomic_errors
  -Fix linker errors in OpenBSD build
  -Update get_chunk for mmap placement
  -Correct typos in names/comments
  -Update CMake version to 3.5

* Wed Nov 01 2023 liweigang <weigangli99@gmail.com> - 7.8.0-1
- update to version 7.8.0

* Tue Oct 18 2022 dillon chen <dillon.chen@gmail.com> - 7.6.14-1
- update to 7.6.14

* Thu Jul 28 2022 wuzx<wuzx1226@qq.com> - 7.6.12-2
- add sw64 patch

* Tue Nov 30 2021 zhouwenpei <zhouwenpei1@huawei.com> - 7.6.12-1
- Upgrade to 7.6.12

* Wed Jan 1 2020 lihongjiang <lihongjiang6@huawei.com> - 7.6.10-2
- disable check temporarily due to can not find some dynamic library

* Fri Nov 1 2019 openEuler Buildteam <buildteam@openeuler.org> - 7.6.10-1
- Upgrade to 7.6.10

* Tue Aug 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 7.6.6-2
- Package init
